Page MenuHomePhabricator

Add property & index on namespace in page_revisions
Closed, ResolvedPublic

Description

We would like to be able to list pages in a specific namespace. We already get this information from the PHP API, but don't store the result in the page_revisions table. To implement this, we'll need to

a) add an (integer) namespace attribute to the page_revisions table, and
b) possibly add one or more secondary indexes that make this queryable

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
Resolved GWicke
Resolvedmobrovac

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2015, 10:31 PM
GWicke set Security to None.
GWicke removed a subscriber: Aklapper.

@Ciencia_Al_Poder, you might misunderstand what this is about. This is about restbase, a storage service that's independent from MW.

mobrovac claimed this task.Feb 13 2015, 7:02 PM
mobrovac triaged this task as High priority.
mobrovac moved this task from Backlog to In progress on the RESTBase board.

Solution available in PR #178

Further, it would be nice to have listings of pages by namespace. Something along the lines of:

  • /{domain}/page/namespace/ gives the list of namespace names
  • /{domain}/page/namespace/{namespace}/ gives the list of pages belonging to the namespace with the given name

This can be accomplished by storing namespace id to name mappings in a second table (complete with aliases). Since the actual namespace listings are static for each MW installation, these could be obtained either on start-up or checked on demand.

GWicke closed this task as Resolved.Feb 14 2015, 6:02 PM

@mobrovac, agreed on the listings. Lets move that to a new task.

Closing this with the merge of PR #178.